[Bug 17255] New: Upgrade Elastic Search code to work with version 2.4+

classic Classic list List threaded Threaded
54 messages Options
12
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] New: Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

            Bug ID: 17255
           Summary: Upgrade Elastic Search code to work with version 2.4+
 Change sponsored?: ---
           Product: Koha
           Version: master
          Hardware: All
                OS: All
            Status: NEW
          Severity: normal
          Priority: P5 - low
         Component: Searching
          Assignee: [hidden email]
          Reporter: [hidden email]
        QA Contact: [hidden email]

Before building more things on Elastic (I have 3 things ready to go) We need to
upgrade to work with the latest stable (2.4)

This will involve getting a 2.4 cluster running, pointing Koha at it, and
fixing any errors that occur.

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

Chris Cormack <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
         Depends on|                            |12478


Referenced Bugs:

https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=12478
[Bug 12478] Elasticsearch support for Koha
--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

Mirko Tietgen <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |[hidden email]

--- Comment #1 from Mirko Tietgen <[hidden email]> ---
It will also need newer Catmandu than 0.9x I guess?

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #2 from Chris Cormack <[hidden email]> ---
That's what we will find out. I suspect so. But apparently 2.4 is more backward
compatible than earlier 2.x versions.

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #3 from Mirko Tietgen <[hidden email]> ---
Created attachment 55205
  -->
https://bugs.koha-community.org/bugzilla3/attachment.cgi?id=55205&action=edit
libsearch-elasticsearch-perl_2.03-1_all.deb

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #4 from Mirko Tietgen <[hidden email]> ---
Created attachment 55206
  -->
https://bugs.koha-community.org/bugzilla3/attachment.cgi?id=55206&action=edit
libcatmandu-store-elasticsearch-perl_0.0501-1_all.deb

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #5 from Mirko Tietgen <[hidden email]> ---
I have attached newer versions of the ES dependencies that I plan to submit to
Debian.

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #6 from Chris Cormack <[hidden email]> ---
Awesome, thank you Mirko

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

Jonathan Druart <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |[hidden email]-c
                   |                            |ommunity.org

--- Comment #7 from Jonathan Druart <[hidden email]> ---
(In reply to Chris Cormack from comment #0)
> Before building more things on Elastic (I have 3 things ready to go)

Where are they? I have not found anything on the catalyst git repo.

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #8 from Chris Cormack <[hidden email]> ---
Three things ready to build that is.

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

Srdjan Jankovic <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |ASSIGNED
           Assignee|[hidden email]          |[hidden email]
                 CC|                            |[hidden email]

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

Jonathan Druart <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
         Depends on|                            |17372

--- Comment #9 from Jonathan Druart <[hidden email]> ---
Please build it on top of bug 17372.


Referenced Bugs:

https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17372
[Bug 17372] Elasticsearch paths need to be standardized
--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

Josef Moravec <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |[hidden email]

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

Mason James <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |[hidden email]

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #10 from Jonathan Druart <[hidden email]> ---
It seems that the code is available at
http://git.catalyst.co.nz/gw?p=koha.git;a=shortlog;h=refs/heads/wr262182

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #11 from Jonathan Druart <[hidden email]> ---
(In reply to Jonathan Druart from comment #10)
> It seems that the code is available at
> http://git.catalyst.co.nz/gw?p=koha.git;a=shortlog;h=refs/heads/wr262182

What's the status of this branch? Is it considered as testable/wip/done?

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #12 from Chris Cormack <[hidden email]> ---
(In reply to Jonathan Druart from comment #11)
> (In reply to Jonathan Druart from comment #10)
> > It seems that the code is available at
> > http://git.catalyst.co.nz/gw?p=koha.git;a=shortlog;h=refs/heads/wr262182
>
> What's the status of this branch? Is it considered as testable/wip/done?

It is testable, however


* Facets most probably do not work (to be done)

* We had to change Catmandu::Store::ElasticSearch::Bag
https://github.com/LibreCat/Catmandu-Store-Elasticsearch/issues/10

But we would love some testing. (It is built on top of your bug to move the
elasticsearch code (that is already in that branch))

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #13 from Chris Cormack <[hidden email]> ---
Once the facets are working we will submit them as patches for sign off, but
testing now would help catch any issues

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #14 from Jonathan Druart <[hidden email]> ---
Note: The errors don't go to the error file but to stderr

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #15 from Jonathan Druart <[hidden email]> ---
perl misc/search_tools/rebuild_elastic_search.pl -d -a -b -v
 problem with :16 : :1: parser error : Start tag expected, '<' not found
podigpodfigo
^

podigpodfigo at C4/Biblio.pm line 1353.
No record passed at Koha/MetadataIterator.pm line 71.
Something went wrong reading record for biblio
Koha::Schema::Result::Biblio=HASH(0xd904770)->biblionumber: Can't bless
non-reference value at Koha/BiblioUtils.pm line 70.

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #16 from Jonathan Druart <[hidden email]> ---
It seems that I get facets for MARC21 but UNIMARC (?)

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #17 from Jonathan Druart <[hidden email]> ---
I did not install the second .deb, and it fails for me:

% sudo dpkg -i attachment.cgi?id=55206 #
libcatmandu-store-elasticsearch-perl_0.0501-1_all.deb
(Reading database ... 83863 files and directories currently installed.)
Preparing to unpack attachment.cgi?id=55206 ...
Unpacking libcatmandu-store-elasticsearch-perl (0.0501-1) over (0.0304-1) ...
dpkg: dependency problems prevent configuration of
libcatmandu-store-elasticsearch-perl:
 libcatmandu-store-elasticsearch-perl depends on libcatmandu-perl (>= 1.01);
however:
  Version of libcatmandu-perl on system is 0.9206-1.

dpkg: error processing package libcatmandu-store-elasticsearch-perl
(--install):
 dependency problems - leaving unconfigured
Processing triggers for man-db (2.7.5-1) ...
Errors were encountered while processing:
 libcatmandu-store-elasticsearch-perl


% apt policy libcatmandu-perl
libcatmandu-perl:
  Installed: 0.9206-1
  Candidate: 0.9505-1
  Version table:
     0.9505-1 500
        500 http://ftp.fr.debian.org/debian testing/main i386 Packages
 *** 0.9206-1 100
        100 /var/lib/dpkg/status


I am willing to test but I will need a test plan to upgrade my packages please.

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #18 from Mirko Tietgen <[hidden email]> ---
There is no newer version in the Debian repos yet. You can use
https://apt.abunchofthings.net/debian/pool/main/libc/libcatmandu-perl/libcatmandu-perl_1.0002-1_all.deb
for the time being (and please report back if that works)

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #19 from Jonathan Druart <[hidden email]> ---
% sudo dpkg -i libcatmandu-perl_1.0002-1_all.deb
libsearch-elasticsearch-perl_2.03-1_all.deb
libcatmandu-store-elasticsearch-perl_0.0501-1_all.deb
(Reading database ... 83849 files and directories currently installed.)
Preparing to unpack libcatmandu-perl_1.0002-1_all.deb ...
Unpacking libcatmandu-perl (1.0002-1) over (0.9505-1) ...
Preparing to unpack libsearch-elasticsearch-perl_2.03-1_all.deb ...
Unpacking libsearch-elasticsearch-perl (2.03-1) over (2.03-1) ...
Preparing to unpack libcatmandu-store-elasticsearch-perl_0.0501-1_all.deb ...
Unpacking libcatmandu-store-elasticsearch-perl (0.0501-1) over (0.0304-1) ...
dpkg: dependency problems prevent configuration of libcatmandu-perl:
 libcatmandu-perl depends on libmoox-role-logger-perl (>= 0.005); however:
  Package libmoox-role-logger-perl is not installed.
 libcatmandu-perl depends on libdata-uuid-perl (>= 1.217); however:
  Package libdata-uuid-perl is not installed.
  Version of libdata-uuid-perl on system, provided by libossp-uuid-perl:i386,
is <none>.
 libcatmandu-perl depends on liburi-template-perl (>= 0.22); however:
  Version of liburi-template-perl on system is 0.18-1.

dpkg: error processing package libcatmandu-perl (--install):
 dependency problems - leaving unconfigured
Setting up libsearch-elasticsearch-perl (2.03-1) ...
dpkg: dependency problems prevent configuration of
libcatmandu-store-elasticsearch-perl:
 libcatmandu-store-elasticsearch-perl depends on libcatmandu-perl (>= 1.01);
however:
  Package libcatmandu-perl is not configured yet.

dpkg: error processing package libcatmandu-store-elasticsearch-perl
(--install):
 dependency problems - leaving unconfigured
Processing triggers for man-db (2.7.5-1) ...
Errors were encountered while processing:
 libcatmandu-perl
 libcatmandu-store-elasticsearch-perl


% sudo apt-get install -f
The following additional packages will be installed:
  libalgorithm-combinatorics-perl libalgorithm-diff-xs-perl libanyevent-perl
libapt-pkg-perl libasync-interrupt-perl libb-compiling-perl
libb-hooks-op-check-entersubforcv-perl
  libb-hooks-op-check-perl libb-utils-perl libbareword-filehandles-perl
libbit-vector-perl libcache-fastmmap-perl libcache-memcached-fast-perl
libcairo-perl libclass-c3-xs-perl
  libclass-load-xs-perl libclass-xsaccessor-perl libclone-perl
libcommon-sense-perl libcpanel-json-xs-perl libcrypt-eksblowfish-perl
libcrypt-gcrypt-perl libcrypt-ssleay-perl
  libcss-minifier-xs-perl libdata-messagepack-perl libdata-util-perl
libdate-calc-xs-perl libdatetime-format-mail-perl libdatetime-locale-perl
libdatetime-perl libdatetime-timezone-perl
  libdbd-mysql-perl libdbd-sqlite2-perl libdbd-sqlite3-perl libdbi-perl
libdevel-caller-perl libdevel-cover-perl libdevel-declare-perl
libdevel-lexalias-perl libdevel-nytprof-perl
  libdevel-size-perl libdigest-sha-perl libev-perl libfcgi-perl
libfile-fcntllock-perl libfilter-perl libfont-freetype-perl libgd-perl
libglib-perl libgraphics-magick-perl libgssapi-perl
  libguard-perl libhtml-parser-perl libhtml-template-pro-perl libhtml-tidy-perl
libhttp-tiny-perl libindirect-perl libio-pty-perl
libjavascript-minifier-xs-perl libjson-xs-perl
  liblexical-sealrequirehints-perl liblingua-stem-snowball-perl
liblinux-inotify2-perl liblist-moreutils-perl liblocale-gettext-perl
libmarpa-r2-perl libmodule-metadata-perl libmoose-perl
  libmoox-role-logger-perl libmultidimensional-perl libnet-ssleay-perl
libnet-z3950-zoom-perl libossp-uuid-perl libpackage-stash-xs-perl
libpadwalker-perl libpango-perl
  libparams-classify-perl libparams-util-perl libparams-validate-perl
libperl5.24 libperlio-gzip-perl libpng16-16 librdf-perl libreadonly-xs-perl
libscalar-list-utils-perl
  libsereal-decoder-perl libsereal-encoder-perl libsocket6-perl
libstring-crc32-perl libsub-identify-perl libsub-name-perl libtemplate-perl
libterm-readkey-perl libtext-bidi-perl
  libtext-charwidth-perl libtext-csv-xs-perl libtext-iconv-perl
libtext-soundex-perl libtext-unaccent-perl libtidy5 libtype-tiny-xs-perl
libunicode-map-perl libunicode-utf8-perl
  libuuid-perl libvariable-magic-perl libversion-perl libwebp6
libxml-libxml-perl libxml-libxslt-perl libxml-parser-perl libyaml-libyaml-perl
libyaml-syck-perl lintian perl perl-base
  perl-doc perl-modules-5.24
Suggested packages:
  libevent-perl libio-async-perl libmldbm-perl libbrowser-open-perl
libtest-differences-perl graphicsmagick-dbg iwatch libscalar-number-perl
libtemplate-perl-doc libtemplate-plugin-gd-perl
  libtemplate-plugin-xml-perl binutils-multiarch libterm-readline-gnu-perl |
libterm-readline-perl-perl
The following packages will be REMOVED:
  libcatmandu-marc-perl libcatmandu-perl libcatmandu-store-elasticsearch-perl
libdata-alias-perl libdevel-beginlift-perl libparse-cpan-meta-perl
The following NEW packages will be installed:
  libmoox-role-logger-perl libperl5.24 libpng16-16 libscalar-list-utils-perl
libtidy5 libwebp6 perl-modules-5.24
The following packages will be upgraded:
  libalgorithm-combinatorics-perl libalgorithm-diff-xs-perl libanyevent-perl
libapt-pkg-perl libasync-interrupt-perl libb-compiling-perl
libb-hooks-op-check-entersubforcv-perl
  libb-hooks-op-check-perl libb-utils-perl libbareword-filehandles-perl
libbit-vector-perl libcache-fastmmap-perl libcache-memcached-fast-perl
libcairo-perl libclass-c3-xs-perl
  libclass-load-xs-perl libclass-xsaccessor-perl libclone-perl
libcommon-sense-perl libcpanel-json-xs-perl libcrypt-eksblowfish-perl
libcrypt-gcrypt-perl libcrypt-ssleay-perl
  libcss-minifier-xs-perl libdata-messagepack-perl libdata-util-perl
libdate-calc-xs-perl libdatetime-format-mail-perl libdatetime-locale-perl
libdatetime-perl libdatetime-timezone-perl
  libdbd-mysql-perl libdbd-sqlite2-perl libdbd-sqlite3-perl libdbi-perl
libdevel-caller-perl libdevel-cover-perl libdevel-declare-perl
libdevel-lexalias-perl libdevel-nytprof-perl
  libdevel-size-perl libdigest-sha-perl libev-perl libfcgi-perl
libfile-fcntllock-perl libfilter-perl libfont-freetype-perl libgd-perl
libglib-perl libgraphics-magick-perl libgssapi-perl
  libguard-perl libhtml-parser-perl libhtml-template-pro-perl libhtml-tidy-perl
libhttp-tiny-perl libindirect-perl libio-pty-perl
libjavascript-minifier-xs-perl libjson-xs-perl
  liblexical-sealrequirehints-perl liblingua-stem-snowball-perl
liblinux-inotify2-perl liblist-moreutils-perl liblocale-gettext-perl
libmarpa-r2-perl libmodule-metadata-perl libmoose-perl
  libmultidimensional-perl libnet-ssleay-perl libnet-z3950-zoom-perl
libossp-uuid-perl libpackage-stash-xs-perl libpadwalker-perl libpango-perl
libparams-classify-perl libparams-util-perl
  libparams-validate-perl libperlio-gzip-perl librdf-perl libreadonly-xs-perl
libsereal-decoder-perl libsereal-encoder-perl libsocket6-perl
libstring-crc32-perl libsub-identify-perl
  libsub-name-perl libtemplate-perl libterm-readkey-perl libtext-bidi-perl
libtext-charwidth-perl libtext-csv-xs-perl libtext-iconv-perl
libtext-soundex-perl libtext-unaccent-perl
  libtype-tiny-xs-perl libunicode-map-perl libunicode-utf8-perl libuuid-perl
libvariable-magic-perl libversion-perl libxml-libxml-perl libxml-libxslt-perl
libxml-parser-perl
  libyaml-libyaml-perl libyaml-syck-perl lintian perl perl-base perl-doc

% pmvers Catmandu
IO.c: loadable library and perl binaries are mismatched (got handshake key
0x8180080, needed 0x81c0080)

% sudo updatedb; locate Catmandu.pm
/usr/share/perl5/Catmandu.pm

% grep VERSION /usr/share/perl5/Catmandu.pm
our $VERSION = '1.0002';

Everything looks... more or less ok

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #20 from Jonathan Druart <[hidden email]> ---
(In reply to Jonathan Druart from comment #19)
> Everything looks... more or less ok

% perl misc/search_tools/rebuild_elastic_search.pl -d -a -b -v
misc/search_tools/rebuild_elastic_search.pl: Perl lib version (5.22.2) doesn't
match executable '/usr/bin/perl' version (5.24.1) at
/usr/lib/i386-linux-gnu/perl/5.22/Config.pm line 62.

more or less

I am using debian testing.

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #21 from Jonathan Druart <[hidden email]> ---
So, I have completely exploded my lxc under testing because of
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=836991 (that's the game)

Tried again with kohadevbox (so jessie) and I got the same errors
http://pastebin.com/JYSVGfGM

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #22 from Jonathan Druart <[hidden email]> ---
I seems better with using the debs from
 deb https://apt.abunchofthings.net/debian jessie main

So:

% sudo apt install libcatmandu-perl
 libcatmandu-perl : Depends: libdata-uuid-perl (>= 1.217)

% sudo apt install libdata-uuid-perl
% sudo apt install libcatmandu-perl
% sudo apt install libcatmandu-store-elasticsearch-perl

rebuild_elastic_search will raise "Can't locate Catmandu/Importer/MARC.pm"

% sudo apt install libcatmandu-marc-perl
 libcatmandu-marc-perl : Depends: libmarc-xml-perl (>= 1.0.3) but
1.0.2-1kohadev1 is to be installed

Because it takes the one from the Koha repo, specify you want the one from
Jessie:
% sudo apt install -t jessie libmarc-xml-perl
% sudo apt install libcatmandu-marc-perl

Here you go!

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #23 from Jonathan Druart <[hidden email]> ---
Catmandu is 1.0002
Search::Elasticsearch is 2.03
Catmandu::Store::ElasticSearch is 0.0501

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

--- Comment #24 from Mirko Tietgen <[hidden email]> ---
(In reply to Chris Cormack from comment #12)

> * We had to change Catmandu::Store::ElasticSearch::Bag
> https://github.com/LibreCat/Catmandu-Store-Elasticsearch/issues/10

Is that maybe related to ES claiming all underscore prefix names?

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Bug 17255] Upgrade Elastic Search code to work with version 2.4+

bugzilla-daemon
In reply to this post by bugzilla-daemon
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17255

Nick Clemens <[hidden email]> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |[hidden email]

--
You are receiving this mail because:
You are watching all bug changes.
_______________________________________________
Koha-bugs mailing list
[hidden email]
http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-bugs
website : http://www.koha-community.org/
git : http://git.koha-community.org/
bugs : http://bugs.koha-community.org/
12
Loading...